Answered
1
1

Hello !
(sorry for my bad English)

I’m Mathieu a young game designer. I’m creating the prototype of a new game that I want to market using EU4. Since 3 weeks, I try to launch the game on Android with sound but… without crashes (what I didn’t succeed with the audio system of UE4, I always have crashes when I play just 5 simple sounds at the same time. Not to mention the inability to use functions such as pitch, etc. on Android with the UE4 audio system… so not cool).

So, I tried FMOD which seems very powerful and maybe less a source of crashes (finger crossing).

I tried to build Unreal Engine from source (obligatory right ?) to use FMOD correctly with my Android project but I always have problems that I don’t find how to fix :
– this one with last release (same as Tomavatars user) : http://i.imgur.com/YmVLO4x.png
– this one with 4.10 : http://uprapide.com/images/invite/capture_3153.png

I see everywhere explanations for using FMOD with EU4 on Android 4.7. Does that mean it doesn’t work with EU4 4.10 and newer releases ?

I despair, please help me… ^^’

  • You must to post comments
Good Answer
0
0

After trying to integrate Wwise, I became aware of some steps and I retried the integration of Fmod.
I finally succeeded yesterday evening late in the night!

If someone has the same difficulty to make it works on Android, I can explain tricky steps on demand ;).

However I can not play the game in “Launch Preview” mode (I saw other people with the same problem) but I can properly test the game in package mode! Yeeha!

  • JC
    • JC
    • 10 months ago

    Hi, I have trouble intergrating the .So libraries from the low level programmer’s API, as the project builds, but on the device(galaxy S5) it simply crashes before the app can open. Any help would be greatly appreciated thanks!

  • Geoff Carlton

    Hi JC, could you contact support@fmod.com and we can try to get some more info about what is going on in your case.

  • You must to post comments
0
0

I’ve had a look at that compile error message in the first link, that is due to a change in 4.11 to the UnrealBuildTool. We’ll fix up the documentation for Android/4.11 but for now if you get UE4 from github, making sure you choose the 4.10 branch, you can avoid that.

The message about not loading FMODStudio failed to load is usually due to a mismatched version, such as using the plugin with a different engine version, or perhaps not rebuilding the plugin binaries when rebuilding the engine from github.

  • You must to post comments
Showing 2 results
Your Answer

Please first to submit.